Community
cancel
Showing results for 
Search instead for 
Did you mean: 
vadster
Beginner
413 Views

What maximum permissible version of OpenGL does the Intel UHD 620 support?

I'm junior developer, had notebook with i5 8350U + UHD 620 graphics and dualboot Windows 10 x64 and Arch Linux, kernel 5.3, Mesa 19.2.2.

I'm trying to run crossplaform app with OpenGL 4.6 only requirements, which run fails with message "OpenGL 4.6 is not supported". And information what I finded rather intricate me.

 

On page with specifications 8350U - Intel UHD 620 is supported OpenGL 4.4

https://ark.intel.com/content/www/us/en/ark/products/124969/intel-core-i5-8350u-processor-6m-cache-u...

On page Supported API's - Intel UHD 620 is supported OpenGL 4.5

https://www.intel.com/content/www/us/en/support/articles/000005524/graphics-drivers.html

On Windows 10 x64 with Intel Graphics driver 26.20.100.7158, in Info section - Intel UHD 620 is supported OpenGL 4.6

On Arch Linux x64 + 5.3 kernel + Mesa 19.2.2 - Intel UHD 620 is supported OpenGL 4.5 (but mesa changelog is saying - Intel graphics gen7+ had full support OpenGL 4.6)

 

So, what maximum permissible version of OpenGL does the Intel UHD 620 support?

0 Kudos
1 Reply
Stefan3D
Honored Contributor II
177 Views

It depends on the driver version. They started with 4.4 and progessed to 4.6 over time.

 

Use these tools to check the capabilities of the driver you are actually using:

https://opengl.gpuinfo.org/

http://realtech-vr.com/admin/glview

https://www.geeks3d.com/20190322/gpu-caps-viewer-1-42-0-released/